2017-12-13 16:00 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000275Cheat Enginepublic2013-10-25 20:34
Reportermgr_inz_Player 
Assigned ToDark Byte 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000275: disassembler, fmul qword
Description32bit works
D8 0D 00054000 fmul dword ptr [400500]
DC 0D 00054000 fmul qword ptr [400500]

64bit has bug
D8 0C 25 00054000 - fmul dword ptr [400500]
48 D8 0C 25 00054000 - fmul dword ptr [400500] <- should be qword
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000578

mgr_inz_Player (reporter)

Last edited: 2013-09-07 02:57

Another problem, first operand wrongly disassembled:
- "maxsd xmm2,xmm0" or "maxsd xmm7,xmm0" is disassembled as "maxsd xmm3,xmm0"
- the same with maxpd, maxss and maxps

~0000612

Dark Byte (developer)

fixed in the svn
+Notes

-Issue History
Date Modified Username Field Change
2013-09-06 20:39 mgr_inz_Player New Issue
2013-09-07 02:55 mgr_inz_Player Note Added: 0000578
2013-09-07 02:57 mgr_inz_Player Note Edited: 0000578
2013-09-14 12:52 Dark Byte Status new => acknowledged
2013-10-25 20:34 Dark Byte Note Added: 0000612
2013-10-25 20:34 Dark Byte Status acknowledged => resolved
2013-10-25 20:34 Dark Byte Resolution open => fixed
2013-10-25 20:34 Dark Byte Assigned To => Dark Byte
+Issue History